Subject: Re: [bug#47930] [PATCH] gnu: Add pbgzip.

From: Roel Janssen <[email-masked]>
Date: Fri, 30 Apr 2021 18:47:59 +0200

On Fri, 2021-04-30 at 14:53 +0300, Efraim Flashner wrote:
> 
> 
> > From 1af29f66980ba19740e05a27135f141e23b7fd3f Mon Sep 17 00:00:00
> > 2001
> > From: Roel Janssen <[email-masked]>
> > Date: Fri, 30 Apr 2021 13:47:43 +0200
> > Subject: [PATCH] gnu: Add pbgzip.
> > 
> > ...
> > +      (synopsis "Parallel Block GZIP")
> > +      (description "This package implements parallel block gzip. 
> > For many
> > +formats, in particular genomics data formats, data are compressed
> > in
> 
> I wasn't sure about 'data are' vs 'data is' but I think data here is
> plural, so 'data are' should be right.
> 
> > +fixed-length blocks such that they can be easily indexed based on
> > a (genomic)
> > +coordinate order, since typically each block is sorted according
> > to this order.
> > +This allows for each block to be individually compressed
> > (deflated), or more
> > +importantly, decompressed (inflated), with the latter enabling
> > random retrieval
> > +of data in large files (gigabytes to terabytes).  @code{pbgzip} is
> > not limited
> > +to any particular format, but certain features are tailored to
> > genomics data
> > +formats when enabled.  Parallel decompression is somewhat faster,
> > but the true
> > +speedup comes during compression.")
> > +      (license license:expat))))
> > +
> >  (define-public blasr-libcpp
> >    (package
> >      (name "blasr-libcpp")
> > -- 
> > 2.31.1
> > 
> 
> Looks good to me!
> 

Thank you Efraim, and thank you Xinglu Chen.
I pushed this patch.

Kind regards,
Roel Janssen